Bug 735417 - Agents should support multiple SRV records
Agents should support multiple SRV records
Status: CLOSED NEXTRELEASE
Product: Matahari
Classification: Retired
Component: matahari (Show other bugs)
unspecified
All All
unspecified Severity medium
: ---
: 0.4
Assigned To: Russell Bryant
Dave Johnson
:
Depends On:
Blocks: 735419
  Show dependency treegraph
 
Reported: 2011-09-02 11:25 EDT by Russell Bryant
Modified: 2016-04-26 09:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 735419 (view as bug list)
Environment:
Last Closed: 2011-09-07 15:17:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Russell Bryant 2011-09-02 11:25:05 EDT
Description of problem:

The current DNS SRV support in Matahari agents only works as expected if there is only a single DNS SRV record.  They do not support connection attempts to more than one.


Version-Release number of selected component (if applicable):

0.4.3
Comment 1 Russell Bryant 2011-09-07 15:17:29 EDT
This has been updated in a few commits, started with this one:

https://github.com/matahari/matahari/commit/cc2edca53821c5b1d0401076e298322b166d8106

Note You need to log in before you can comment on or make changes to this bug.